#!/usr/bin/fish

echo 'Deploy website through FTP'

function require
        set var $argv[1]
        if not set -q $var
                echo "Please provide a value for $var"
                echo "Did you run the command source against your .env.local?"
                exit
        end
end
require FTP_HOST
require FTP_USER
require FTP_DEST
require DIST_DIR

set files (find $DIST_DIR -type f)
echo 'Files to be sent :'
echo "$files"

echo "FTP to $FTP_HOST"
read --prompt-str "[deploy] password for $FTP_USER: " --silent password
echo

# ftp operation
set ftp_cmd "\
user $FTP_USER $password
nmap $DIST_DIR/\$1 $FTP_DEST/\$1
mput $files
bye
"
echo $ftp_cmd | ftp -pvin $FTP_HOST $FTP_PORT 
